summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-12-30 14:17:29 +0000
committerMichał Górny <mgorny@gentoo.org>2012-12-30 14:17:29 +0000
commit1443444d948fea39633273e111abfa37440a1138 (patch)
tree4f58d536cbe032223d6970fcc00f68f154d56457 /eclass/python-utils-r1.eclass
parentStable for sparc, wrt bug #448056 (diff)
downloadhistorical-1443444d948fea39633273e111abfa37440a1138.tar.gz
historical-1443444d948fea39633273e111abfa37440a1138.tar.bz2
historical-1443444d948fea39633273e111abfa37440a1138.zip
Fix installing scripts & modules for Prefix, bug #448786.
Diffstat (limited to 'eclass/python-utils-r1.eclass')
-rw-r--r--eclass/python-utils-r1.eclass12
1 files changed, 6 insertions, 6 deletions
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 0359e14268cd..fe7a3e4276d5 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.10 2012/12/27 22:56:53 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.11 2012/12/30 14:17:29 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -490,10 +490,10 @@ python_doscript() {
debug-print "${FUNCNAME}: ${oldfn} -> ${newfn}"
newins "${f}" "${newfn}" || die
- _python_rewrite_shebang "${D}/${d}/${newfn}"
+ _python_rewrite_shebang "${ED}/${d}/${newfn}"
# install the wrapper
- _python_ln_rel "${ED}"/usr/bin/python-exec "${D}/${d}/${oldfn}" || die
+ _python_ln_rel "${ED}"/usr/bin/python-exec "${ED}/${d}/${oldfn}" || die
done
}
@@ -501,7 +501,7 @@ python_doscript() {
# @DEFAULT_UNSET
# @DESCRIPTION:
# The current module root for python_domodule(). The path can be either
-# an absolute system path (it must start with a slash, and ${D} will be
+# an absolute system path (it must start with a slash, and ${ED} will be
# prepended to it) or relative to the implementation's site-packages directory
# (then it must start with a non-slash character).
#
@@ -561,7 +561,7 @@ python_domodule() {
local PYTHON_SITEDIR=${PYTHON_SITEDIR}
[[ ${PYTHON_SITEDIR} ]] || python_export PYTHON_SITEDIR
- d=${PYTHON_SITEDIR}/${python_moduleroot}
+ d=${PYTHON_SITEDIR#${EPREFIX}}/${python_moduleroot}
fi
local INSDESTTREE
@@ -569,7 +569,7 @@ python_domodule() {
insinto "${d}"
doins -r "${@}" || die
- python_optimize "${D}/${d}"
+ python_optimize "${ED}/${d}"
}
_PYTHON_UTILS_R1=1